package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseDropDownDto;
import com.crm.rely.backend.core.dto.base.BaseResultWithPagerDto;
import com.crm.rely.backend.core.dto.system.area.SysAreaDto;
import com.crm.rely.backend.core.entity.system.area.SysAreaAddEntity;
import com.crm.rely.backend.core.entity.system.area.SysAreaSearchEntity;
import com.crm.rely.backend.core.entity.system.area.SysAreaUpdateEntity;

import java.util.List;

public interface SysAreaService {

    void save(SysAreaAddEntity entity) throws Exception;

    void updateById(SysAreaUpdateEntity entity) throws Exception;

    BaseResultWithPagerDto<List<SysAreaDto>> getList(SysAreaSearchEntity entity) throws Exception;

    SysAreaDto getById(Long id) throws Exception;

    void deleteById(Long id) throws Exception;

    List<BaseDropDownDto> getDd() throws Exception;

}
